## net.i2p.client.naming
Class PetName

    java.lang.Object
      net.i2p.client.naming.PetName

public class PetName
extends java.lang.Object

Constructor Summary
`PetName()`
`PetName(java.lang.String dbLine)`
`PetName(java.lang.String name, java.lang.String network, java.lang.String protocol, java.lang.String location)`

Method Summary
`void` `addGroup(java.lang.String name)`
`boolean` `equals(java.lang.Object obj)`
`java.lang.String` `getGroup(int i)`
`int` `getGroupCount()`
`boolean` `getIsPublic()`
`java.lang.String` `getLocation()`
`java.lang.String` `getName()`
`java.lang.String` `getNetwork()`
`java.lang.String` `getProtocol()`
`int` `hashCode()`
`boolean` `isMember(java.lang.String group)`
`static void` `main(java.lang.String[] args)`
`void` `removeGroup(java.lang.String name)`
`void` `setGroups(java.lang.String groups)`
`void` `setIsPublic(boolean pub)`
`void` `setLocation(java.lang.String location)`
`void` `setName(java.lang.String name)`
`void` `setNetwork(java.lang.String network)`
`void` `setProtocol(java.lang.String protocol)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PetName

    public PetName()

### PetName

    public PetName(java.lang.String name,
                   java.lang.String network,
                   java.lang.String protocol,
                   java.lang.String location)

### PetName

    public PetName(java.lang.String dbLine)

Parameters:
  `dbLine` - name:network:protocol:isPublic:group1,group2,group3:location

Method Detail

### getName

    public java.lang.String getName()

### getNetwork

    public java.lang.String getNetwork()

### getProtocol

    public java.lang.String getProtocol()

### getLocation

    public java.lang.String getLocation()

### getIsPublic

    public boolean getIsPublic()

### getGroupCount

    public int getGroupCount()

### getGroup

    public java.lang.String getGroup(int i)

### setName

    public void setName(java.lang.String name)

### setNetwork

    public void setNetwork(java.lang.String network)

### setProtocol

    public void setProtocol(java.lang.String protocol)

### setLocation

    public void setLocation(java.lang.String location)

### setIsPublic

    public void setIsPublic(boolean pub)

### addGroup

    public void addGroup(java.lang.String name)

### removeGroup

    public void removeGroup(java.lang.String name)

### setGroups

    public void setGroups(java.lang.String groups)

### isMember

    public boolean isMember(java.lang.String group)

### toString

    public java.lang.String toString()

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

### main

    public static void main(java.lang.String[] args)